/*

HYPANT - hypergame analysis tool
Copyright (C) 2003 Lachlan Brumley

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/

/*
$Id: HML.l,v 1.6 2003/09/15 16:55:47 lachlan Exp $
$Revision: 1.6 $
$Author: lachlan $
*/

%{
#include "datastructs.h"
#include "parserfuncs.h"
#include "y.tab.h"

#include <string.h>
#include <stdio.h>

/* functions for enable input from memory */
static YY_BUFFER_STATE buf_state;
void init_mem_parser(char *string)
{
   buf_state = yy_scan_string(string);
}
void close_mem_parser()
{
   yy_delete_buffer(buf_state);
}

%}

PERCENT \%

%%


\{                              return OBRACE;
\}                              return CBRACE;

[01"?"]                         yylval.AString = strdup(yytext); return VAL;
=                               return EQ;
"#"[0-9]+                       yylval.ANumber = atoi(&yytext[1]); return OPTIONID;
,                               return COMMA;
[a-zA-Z][a-zA-Z0-9" "]*         yylval.AString = strdup(yytext); return TEXT;
{PERCENT}{PERCENT}.*\n          /* ignore comments */
[ \t\n]                         /* ignore whitespace */
.                               /* ignore all other characters */
%%
