/*

HYPANT - hypergame analysis tool
Copyright (C) 2003 Lachlan Brumley

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/

/* functions.h */
/* functions for general use */

/*
$Id: functions.h,v 1.6 2003/10/02 13:53:09 lachlan Exp $
$Revision: 1.6 $
$Author: lachlan $
*/

#ifndef FUNCTIONS_H
#define FUNCTIONS_H

#include "datastructs.h"

/*****************************/
/* General Purpose Functions */
/*****************************/

/* test a model */
int testModel(Model* modelPtr);

/* free the memory allocated for a game */
void deleteModel(Model* modelPtr);

/* write out a hypergame to file */
/* file is created on local machine */
void saveLocalModel(Model* modelPtr, char* file);

/* read a file into a buffer */
char* readFile(char* filename);

/* finds opt # optionID in the array opts */
int getOptVal(OptArray* opts, int optionID);

/* checks whether a player has this option */
int checkOption(Player* aPlayer, int optionID);

/* returns the pointer to a player that has the option */
Player* getOptionOwner(Game* aGame, int optionID);

#endif
